Page MenuHomePhabricator

CodeGen: rename __builtin_arm_sevl to __sevl
ClosedPublic

Authored by compnerd on Apr 29 2014, 10:10 PM.

Details

Summary

ACLE adds the __sevl() extension. Rename the hint from a custom name to the
ACLE specified name.

Diff Detail

Event Timeline

compnerd updated this revision to Diff 8954.Apr 29 2014, 10:10 PM
compnerd retitled this revision from to CodeGen: rename __builtin_arm_sevl to __sevl.
compnerd updated this object.
compnerd edited the test plan for this revision. (Show Details)
compnerd added reviewers: joey, rengolin, t.p.northover.
compnerd set the repository for this revision to rL LLVM.
compnerd added a subscriber: Unknown Object (MLST).
rengolin edited edge metadata.Apr 30 2014, 1:21 AM

I was going to comment on that when I saw your yield. LGTM.

cheers,
--renato

include/clang/Basic/BuiltinsARM.def
69

I know it's not directly related, but can you move this up with __sevl and add that this is ACLE (chapter 8.4 etc)?

joey accepted this revision.May 1 2014, 10:12 AM
joey edited edge metadata.

LGTM.

This revision is now accepted and ready to land.May 1 2014, 10:12 AM
rengolin accepted this revision.May 2 2014, 3:39 AM
rengolin closed this revision.
rengolin edited edge metadata.